Subject: bug#40388: Reported upstream to Calibre

From: Josh Holland <[email-masked]>
Date: Fri, 03 Apr 2020 14:05:29 +0100

I've reported this bug as
https://bugs.launchpad.net/calibre/+bug/1870541.  I also found the
backwards-incompatible change in msgpack which is the culprit of this:

* Default value of strict_map_key is changed to True to avoid
  hashdos. You need to pass strict_map_key=False if you have data which
  contain map keys which type is not bytes or str.

(from <https://pypi.org/project/msgpack/>)

I can prepare a patch (both within the Guix build system and to send
upstream) which fixes this, though I'm not sure what hashdos are or
whether they are actually important to avoid in this case.

--
Josh Holland